Subject: bug#36475: [PATCH] Handle 'abbr' and 'acronym' tags in shr.el

From: Nicholas Drozd <[email-masked]>
Date: Wed, 3 Jul 2019 15:17:24 -0500

Let's leave it as a defun for now then, and anyone who objects can
change it later (probably without any consequence). shr-tag-tt does
the same thing, deferring to shr-tag-code, so shr-tag-tt and
shr-tag-acronym can be changed together.

On Wed, Jul 3, 2019 at 1:42 AM Michael Albinus <[email-masked]> wrote:
>
> Nicholas Drozd <[email-masked]> writes:
>
> Hi Nicholas,
>
> > It could be, but I don't know that much would be gained. While a
> > defalias would be slightly terser, it would also stick out from the
> > surrounding defuns. I don't have a strong opinion either way. Are
> > there any non-style considerations?
>
> I have no strong opinion either, but using a defalias seems to me the
> better choice. Maybe I'm biased due to the work on Tramp, where a large
> part of the job is keeping backward compatibility with older
> Emacsen. That's why I have a preference to defalias, whenever
> possible. It needs less maintainership attention.
>
> But it is your decision, of course.
>
> Best regards, Michael.